Usando o Java 8 no site da Caixa Econômica Federal

523 Flares Twitter 21 Facebook 499 LinkedIn 0 Google+ 3 Filament.io 523 Flares ×

A dica definitiva para quem precisa usar o internet banking com o Java 8 na CEF via Linux.

Então vamos mostrar como usar o site da Caixa Econômica Federal e o Java 8 da Oracle (Ubuntu/Linux Mint). Usaremos o navegador Firefox como padrão.

Java 8

Instalando o Java 8

Abra o terminal e digite os comandos abaixo:

$ sudo apt-get purge openjdk*
$ sudo add-apt-repository ppa:webupd8team/java
$ sudo apt-get update
$ sudo apt-get install oracle-java8-installer
$ sudo apt-get install oracle-java8-set-default

Fonte: http://www.vivaolinux.com.br/dica/Java-8-Oracle-no-Ubuntu-e-Linux-Mint

Após a instalação é necessário instalar a cadeia de certificados da CEF.

Acesse o site da CEF: http://www.certificado.caixa.gov.br ou aqui.

No lado direito da página, entre no link – Instalação e Arquivos – Vá até a segunda opção com o título: Certificados emitidos na cadeia V2 da AC CAIXA (são 5 certificados).

Clique em salvar em cada um deles. Ao clicar em salvar ele pedirá pra selecionar o tipo de certificado, setar a primeira e a terceira opção.

Feche o navegador e abra-o novamente. Entre no site da CEF. Logue o seu usuário.

Aparecerá o cadastro de computador (clicar em PERMITIR QUE APARECER NOS BOTÕES).

Após novo cadastro do computador, entre na sua conta.

OBS:
Diferente do que as pessoas acreditam, a instalação dos certificados da CEF foram obtidos com ajuda do 0800 da CEF, ou seja, deram suporte ao Linux. Este procedimento foi feito em um escritório Jurídico que adotou o Linux (LINUX MINT) como sistema operacional

Dica enviada pelo leitor Douglas Giovani Oechsler

É isso ai, amigos. Agora poderemos acessar o site da Caixa e assim não termos mais problemas com o Java 8.

Related Posts Plugin for WordPress, Blogger...

Maudy T. Pedrão

Programador Visual, webdesigner e diretor da WD-me e entusiasta linux há 7 anos. Ganhador do prêmio TOPBLOG 2010 na categoria "Tecnologia" - escolha do júri acadêmico e TOP3 2011 pelo voto popular, na mesma categoria. Fez entrevistas para TV (Olhar Digital) e Rádio (CBN) falando sobre Linux/Ubuntu.

More Posts - Website - Twitter - Facebook - Google Plus

10 comentários

  1. Olá Maudy.
    Fiquei extremamente feliz com esse post, porque já tinha tentado de tudo, sem sucesso.

    Bem, executei o procedimento como descrito no post. Mas mesmo assim ainda não consigo acesso minha conta no site da CEF.
    Acontece que quando o Java me pergunta se quero executa-lo para esse site, e eu digo que sim, ele me mostra esta mensagem:
    “Falha na execução da biblioteca nativa ou ambiente não suportado”.
    E não vai para frente, voltando para a tela de login da CEF.

    Alguém sabe me dizer o que está acontecendo, e/ou o que posso fazer para que isso seja resolvido?

    Abraço.

    • No meu também aparece essa mensagem, mas consigo acessar normalmente. No Firefox, tente ir em complementos, plugins e ative o java plugin. Qualquer coisa, limpe os cookies tb.
      Outra coisa: funcionou também para acesso ao Banco do Brasil.
  2. Até que enfim. Suas dicas anteriores não haviam funcionado, mas essa deu certo de primeira. Obrigado por compartilhar.
  3. Teste e e funcionou no Ubuntu 14.04 com Firefox 29.
    Apenas uma observação, na primeira vez só funcionou depois que marquei “Desejo acessar a versão anterior do Internet Banking CAIXA” na hora de logar como Pessoa Física. Sem marcar isso dava erro: “Falha na execução da biblioteca nativa ou ambiente não suportado”.
    Mas depois consegui logar sem marcar a “…versão anterior…”.
  4. Maravilha ! Fazia um tempo que nao vinha para este site , mas voltei na hora certa ! Agora com esta “dica” salvadora consigo pagar minhas contas no itau novamente usando o Chrome no MintKDE 16 :-)
    Obrigado por compartir !!
  5. Fiz todo o procedimento, e depois de digitar meu usuário, a tela seguinte me pede isso:

    “Instalação do Módulo Adicional de Segurança CAIXA
    Senhor(a) cliente,
    Identificamos que esse computador não possui o seguinte critério de segurança”

    Sendo que esse tal módulo é para windows, pois é um arquivo .exe

    O que eu faço?

  6. Não entendi essa parte aqui;

    Clique em salvar em cada um deles. Ao clicar em salvar ele pedirá pra selecionar o tipo de certificado, setar a primeira e a terceira opção.

    Quando clico nos certificados ele fazem o download e mais nada.

    Como proceder nessa instalação?

  7. Olá amigo Maudy,
    Estou querendo acessar minha conta na caixa, já fiz de tudo que nos outros foruns estavam postados. Eu estava com a versão do Java 1.7.0_55, então resolvi instalar a versão 8 Java conforme sua dica. Fiz tudo direitinho, instalei os 5 certificados. Para surpresa minha continua o mesmo erro ! Quando vou entrar na minha, dá o seguinte novamente:
    “Foi detectado um problema no cadastramento de máquina. Clique aqui para efetuar a instalação do JAVA, requisito para o correto cadastramento da máquina.”
    Já não sei o que fazer. Por favor me ajude(m) a resolver esse problema.
    Dados do meu sistema: Ubuntu 14.04 LTS de 32 bits.
    Ok. Obrigado !!!!
  8. Ah, sim detalhe importante:
    O Java 8 foi instalado com sucesso.
  9. Semi alternativa editada ( fonte: http://www.webupd8.org/2014/03/how-to-install-oracle-java-8-in-debian.html)
    $ sudo su
    $ apt-get autoremove –purge openjdk-7-jre icedtea-7-plugin
    $ echo “deb http://ppa.launchpad.net/webupd8team/java/ubuntu trusty main” | tee /etc/apt/sources.list.d/webupd8team-java.list
    echo “deb-src http://ppa.launchpad.net/webupd8team/java/ubuntu trusty main” | tee -a /etc/apt/sources.list.d/webupd8team-java.list
    apt-key adv –keyserver keyserver.ubuntu.com –recv-keys EEA14886
    apt-get update
    $ apt-get install oracle-java8-installer
    $ sudo apt-get install oracle-java8-set-default
    E então a cadeia de certificados.

Poste um Comentário

Você pode usar as seguintes tags HTML:
<a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>